Debian Bug report logs - #128950
[PR c/9072] -Wconversion should be split into two distinct flags

version graph

Package: gcc-4.0; Maintainer for gcc-4.0 is (unknown);

Reported by: Agthorr <agthorr@barsoom.org>

Date: Sun, 13 Jan 2002 00:03:04 UTC

Severity: wishlist

Tags: fixed-upstream, upstream

Fixed in version gcc-4.3/4.3.1-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR9072

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-3.0. Full text and rfc822 format available.

Acknowledgement sent to Agthorr <agthorr@barsoom.org>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Agthorr <agthorr@barsoom.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-3.0: -Wconversion should be split into two distinct flags
Date: Sat, 12 Jan 2002 16:00:53 -0800
Package: gcc-3.0
Version: 1:3.0.3-1
Severity: normal

The -Wconversion option to gcc is documented as doing two things:

------------------------------------------------------------------------
`-Wconversion'
     Warn if a prototype causes a type conversion that is different
     from what would happen to the same argument in the absence of a
     prototype.  This includes conversions of fixed point to floating
     and vice versa, and conversions changing the width or signedness
     of a fixed point argument except when the same as the default
     promotion.

     Also, warn if a negative integer constant expression is implicitly
     converted to an unsigned type.  For example, warn about the
     assignment `x = -1' if `x' is unsigned.  But do not warn about
     explicit casts like `(unsigned) -1'.
------------------------------------------------------------------------

It'd be nice if these two behaviors were two controlled via two
separate flags.  The second behavior would have caught a bug I've been
hunting for hours, while the first behavior is very undesirable to me
(and useless since I also compile with -Wstrict-prototypes).

-- Agthorr

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux eleutheromania 2.4.16 #1 Tue Dec 4 11:20:43 PST 2001 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages gcc-3.0 depends on:
ii  binutils                2.11.92.0.12.3-4 The GNU assembler, linker and bina
ii  cpp-3.0                 1:3.0.3-1        The GNU C preprocessor.
ii  gcc-3.0-base            1:3.0.3-1        The GNU Compiler Collection (base 
ii  libc6                   2.2.4-7          GNU C Library: Shared libraries an
ii  libgcc1                 1:3.0.3-1        GCC support library.




Severity set to `wishlist'. Request was from Philip Blundell <philb@gnu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org:
Bug#128950; Package gcc-3.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-gnats@gcc.gnu.org, nobody@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 128950@bugs.debian.org (full text, mbox):

From: gcc-gnats@gcc.gnu.org
To: 128950@bugs.debian.org
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: 27 Dec 2002 23:36:02 -0000
Thank you very much for your problem report.
It has the internal identification `c/9072'.
The individual assigned to look at your
report is: unassigned. 

>Category:       c
>Responsible:    unassigned
>Synopsis:       -Wconversion should be split into two distinct flags
>Arrival-Date:   Fri Dec 27 15:36:02 PST 2002



Noted your statement that Bug has been forwarded to gcc-gnats@gcc.gnu.org. Request was from doko@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from doko@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to gcc-3.0@packages.qa.debian.org:
Bug#128950; Package gcc-3.0. Full text and rfc822 format available.

Acknowledgement sent to doko@debian.org:
Extra info received and filed, but not forwarded. Copy sent to gcc-3.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #21 received at 128950-quiet@bugs.debian.org (full text, mbox):

From: doko@debian.org
To: control@bugs.debian.org
Cc: 128950-quiet@bugs.debian.org
Subject: gcc: submitted Debian report #128950 to gcc-gnats as PR c/9072
Date: Sat, 28 Dec 2002 00:43:52 +0100
# submitted Debian report #128950 to gcc-gnats as PR c/9072
# http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view&pr=c/9072&database=gcc

forwarded 128950 gcc-gnats@gcc.gnu.org
retitle 128950 [PR c/9072] -Wconversion should be split into two distinct flags
thanks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org:
Bug#128950; Package gcc-3.0. Full text and rfc822 format available.

Acknowledgement sent to Segher Boessenkool <segher@koffie.nl>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #26 received at 128950@bugs.debian.org (full text, mbox):

From: Segher Boessenkool <segher@koffie.nl>
To: 128950@bugs.debian.org, gcc-patches@gcc.gnu.org
Cc: gcc-gnats@gcc.gnu.org, debian-gcc@lists.debian.org
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: Sat, 28 Dec 2002 17:56:27 +0100
Matthias Klose wrote:
> 
> The -Wconversion option to gcc is documented as doing two things:
> 
> ------------------------------------------------------------------------
> `-Wconversion'
>      Warn if a prototype causes a type conversion that is different
>      from what would happen to the same argument in the absence of a
>      prototype.  This includes conversions of fixed point to floating
>      and vice versa, and conversions changing the width or signedness
>      of a fixed point argument except when the same as the default
>      promotion.
> 
>      Also, warn if a negative integer constant expression is implicitly
>      converted to an unsigned type.  For example, warn about the
>      assignment `x = -1' if `x' is unsigned.  But do not warn about
>      explicit casts like `(unsigned) -1'.
> ------------------------------------------------------------------------
> 
> It'd be nice if these two behaviors were two controlled via two
> separate flags.  The second behavior would have caught a bug I've been
> hunting for hours, while the first behavior is very undesirable to me
> (and useless since I also compile with -Wstrict-prototypes).

I remember having been annoyed by -Wconversion its behaviour, too.  Maybe
this patch will do what you want?


Segher



2002-12-28  Segher Boessenkool  <segher@koffie.nl>

	* c-typeck.c (convert_arguments): Don't warn about arguments
	passed as `float' unless -Wtraditional given.  Add warning
	to -Wconversion for passing floating point arguments in smaller
	precision.  Add warning to -Wtraditional for passing integers with
	different width due to prototype.
	* doc/invoke.texi (Warning Options): Document this.  Clarify.
	* doc/trouble.texi (Protoize Caveats): Ditto.



*** ../../gcc-clean/gcc/c-typeck.c	Fri Dec 27 03:21:39 2002
--- ./c-typeck.c	Sat Dec 28 16:44:19 2002
*************** convert_arguments (typelist, values, nam
*** 1645,1657 ****
  		    {
  		      /* Warn if any argument is passed as `float',
  			 since without a prototype it would be `double'.  */
! 		      if (formal_prec == TYPE_PRECISION (float_type_node))
  			warn_for_assignment ("%s as `float' rather than `double' due to prototype", (char *) 0, name, parmnum + 1);
  		    }
  		  /* Detect integer changing in width or signedness.
! 		     These warnings are only activated with
  		     -Wconversion, not with -Wtraditional.  */
! 		  else if (warn_conversion && INTEGRAL_TYPE_P (type)
  			   && INTEGRAL_TYPE_P (TREE_TYPE (val)))
  		    {
  		      tree would_have_been = default_conversion (val);
--- 1645,1659 ----
  		    {
  		      /* Warn if any argument is passed as `float',
  			 since without a prototype it would be `double'.  */
! 		      if (warn_traditional && formal_prec == TYPE_PRECISION (float_type_node))
  			warn_for_assignment ("%s as `float' rather than `double' due to prototype", (char *) 0, name, parmnum + 1);
+ 		      else if (warn_conversion && TYPE_PRECISION (TREE_TYPE (val)) < formal_prec)
+ 			warn_for_assignment ("%s with smaller precision due to prototype", (char *) 0, name, parmnum + 1);
  		    }
  		  /* Detect integer changing in width or signedness.
! 		     The warning for signedness is only activated with
  		     -Wconversion, not with -Wtraditional.  */
! 		  else if (INTEGRAL_TYPE_P (type)
  			   && INTEGRAL_TYPE_P (TREE_TYPE (val)))
  		    {
  		      tree would_have_been = default_conversion (val);
*************** convert_arguments (typelist, values, nam
*** 1666,1671 ****
--- 1668,1675 ----
  		      else if (formal_prec != TYPE_PRECISION (type1))
  			warn_for_assignment ("%s with different width due to prototype", (char *) 0, name, parmnum + 1);
  		      else if (TREE_UNSIGNED (type) == TREE_UNSIGNED (type1))
+ 			;
+ 		      else if (!warn_conversion)
  			;
  		      /* Don't complain if the formal parameter type
  			 is an enum, because we can't tell now whether
*** ../../gcc-clean/gcc/doc/invoke.texi	Fri Dec 27 03:21:40 2002
--- ./doc/invoke.texi	Sat Dec 28 16:27:54 2002
*************** traditional C case.
*** 2600,2610 ****
  
  @item
  Conversions by prototypes between fixed/floating point values and vice
! versa.  The absence of these prototypes when compiling with traditional
  C would cause serious problems.  This is a subset of the possible
  conversion warnings, for the full set use @option{-Wconversion}.
  
  @item
  Use of ISO C style function definitions.  This warning intentionally is
  @emph{not} issued for prototype declarations or variadic functions
  because these ISO C features will appear in your code when using
--- 2600,2616 ----
  
  @item
  Conversions by prototypes between fixed/floating point values and vice
! versa, and conversion by prototypes between different width types when
! not equal to the default promotions.
! The absence of these prototypes when compiling with traditional
  C would cause serious problems.  This is a subset of the possible
  conversion warnings, for the full set use @option{-Wconversion}.
  
  @item
+ Use of @code{float} in prototypes.  Traditional C would pass such
+ parameters as @code{double}, while ISO C does not.
+ 
+ @item
  Use of ISO C style function definitions.  This warning intentionally is
  @emph{not} issued for prototype declarations or variadic functions
  because these ISO C features will appear in your code when using
*************** this is why we did not make @option{-Wal
*** 2671,2681 ****
  
  @item -Wconversion
  @opindex Wconversion
! Warn if a prototype causes a type conversion that is different from what
! would happen to the same argument in the absence of a prototype.  This
! includes conversions of fixed point to floating and vice versa, and
! conversions changing the width or signedness of a fixed point argument
! except when the same as the default promotion.
  
  Also, warn if a negative integer constant expression is implicitly
  converted to an unsigned type.  For example, warn about the assignment
--- 2677,2687 ----
  
  @item -Wconversion
  @opindex Wconversion
! Warn if a prototype causes an implicit type conversion that is different
! from the default promotion.  This includes conversions of fixed point to
! floating and vice versa, and conversions changing the width or
! signedness of a fixed point argument (except when the same as the default
! promotion).
  
  Also, warn if a negative integer constant expression is implicitly
  converted to an unsigned type.  For example, warn about the assignment
*** ../../gcc-clean/gcc/doc/trouble.texi	Mon Sep 16 00:48:05 2002
--- ./doc/trouble.texi	Sat Dec 28 16:29:53 2002
*************** without them.
*** 1110,1117 ****
  
  @opindex Wconversion
  You can find all the places where this problem might occur by compiling
! the program with the @option{-Wconversion} option.  It prints a warning
! whenever an argument is converted.
  
  @item
  Both conversion programs can be confused if there are macro calls in and
--- 1110,1117 ----
  
  @opindex Wconversion
  You can find all the places where this problem might occur by compiling
! the program with the @option{-Wtraditional -Wconversion} options.  It
! prints a warning whenever an argument is converted.
  
  @item
  Both conversion programs can be confused if there are macro calls in and





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org:
Bug#128950; Package gcc-3.0. Full text and rfc822 format available.

Acknowledgement sent to Zack Weinberg <zack@codesourcery.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #31 received at 128950@bugs.debian.org (full text, mbox):

From: Zack Weinberg <zack@codesourcery.com>
To: Segher Boessenkool <segher@koffie.nl>
Cc: 128950@bugs.debian.org, gcc-patches@gcc.gnu.org, gcc-gnats@gcc.gnu.org, debian-gcc@lists.debian.org
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: Sun, 29 Dec 2002 00:37:58 -0800
Segher Boessenkool <segher@koffie.nl> writes:
> Matthias Klose wrote:
>> It'd be nice if these two behaviors were two controlled via two
>> separate flags.  The second behavior would have caught a bug I've been
>> hunting for hours, while the first behavior is very undesirable to me
>> (and useless since I also compile with -Wstrict-prototypes).
>
> I remember having been annoyed by -Wconversion its behaviour, too.  Maybe
> this patch will do what you want?

I'm very much in favor of making -Wconversion more useful, but is
there any reason not to shift the argument-type-conversion warnings
entirely over to -Wtraditional?  Particularly if the warning is
avoided for prototypes in system headers (so that 'sinf' and the like
raise no complaints) -- this would, for instance, catch the occasional
problem we have with arguments of type 'bool' in GCC itself.

Then -Wconversion would be entirely for dubious type conversions on
assignment.

zw



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org:
Bug#128950; Package gcc-3.0. Full text and rfc822 format available.

Acknowledgement sent to Segher Boessenkool <segher@koffie.nl>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #36 received at 128950@bugs.debian.org (full text, mbox):

From: Segher Boessenkool <segher@koffie.nl>
To: Zack Weinberg <zack@codesourcery.com>
Cc: 128950@bugs.debian.org, gcc-patches@gcc.gnu.org, gcc-gnats@gcc.gnu.org, debian-gcc@lists.debian.org
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: Sun, 29 Dec 2002 09:48:17 +0100
Zack Weinberg wrote:
> 
> I'm very much in favor of making -Wconversion more useful, but is
> there any reason not to shift the argument-type-conversion warnings
> entirely over to -Wtraditional?  Particularly if the warning is
> avoided for prototypes in system headers (so that 'sinf' and the like
> raise no complaints) -- this would, for instance, catch the occasional
> problem we have with arguments of type 'bool' in GCC itself.
> 
> Then -Wconversion would be entirely for dubious type conversions on
> assignment.

This is the intended behaviour of my patch, modulo in my opinion passing
a "too wide" argument to a function is a dubious assignment, too.


Segher



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org:
Bug#128950; Package gcc-3.0. Full text and rfc822 format available.

Acknowledgement sent to Zack Weinberg <zack@codesourcery.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #41 received at 128950@bugs.debian.org (full text, mbox):

From: Zack Weinberg <zack@codesourcery.com>
To: Segher Boessenkool <segher@koffie.nl>
Cc: 128950@bugs.debian.org, gcc-patches@gcc.gnu.org, gcc-gnats@gcc.gnu.org, debian-gcc@lists.debian.org
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: Sun, 29 Dec 2002 01:05:43 -0800
Segher Boessenkool <segher@koffie.nl> writes:
> Zack Weinberg wrote:
>> 
>> I'm very much in favor of making -Wconversion more useful, but is
>> there any reason not to shift the argument-type-conversion warnings
>> entirely over to -Wtraditional?  Particularly if the warning is
>> avoided for prototypes in system headers (so that 'sinf' and the like
>> raise no complaints) -- this would, for instance, catch the occasional
>> problem we have with arguments of type 'bool' in GCC itself.
>> 
>> Then -Wconversion would be entirely for dubious type conversions on
>> assignment.
>
> This is the intended behaviour of my patch, modulo in my opinion passing
> a "too wide" argument to a function is a dubious assignment, too.

I may have misunderstood the effect of your patch - it seemed like you
would need to give both -Wconversion and -Wtraditional to get the
argument-type conversion warnings.  I was suggesting that this should
happen with just -Wtraditional.

zw



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org:
Bug#128950; Package gcc-3.0. Full text and rfc822 format available.

Acknowledgement sent to "Joseph S. Myers" <jsm28@cam.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #46 received at 128950@bugs.debian.org (full text, mbox):

From: "Joseph S. Myers" <jsm28@cam.ac.uk>
To: Zack Weinberg <zack@codesourcery.com>
Cc: Segher Boessenkool <segher@koffie.nl>, <128950@bugs.debian.org>, <gcc-patches@gcc.gnu.org>, <gcc-gnats@gcc.gnu.org>, <debian-gcc@lists.debian.org>
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: Sun, 29 Dec 2002 11:59:26 +0000 (GMT)
On Sun, 29 Dec 2002, Zack Weinberg wrote:

> I'm very much in favor of making -Wconversion more useful, but is
> there any reason not to shift the argument-type-conversion warnings
> entirely over to -Wtraditional?  Particularly if the warning is
> avoided for prototypes in system headers (so that 'sinf' and the like
> raise no complaints) -- this would, for instance, catch the occasional
> problem we have with arguments of type 'bool' in GCC itself.
> 
> Then -Wconversion would be entirely for dubious type conversions on
> assignment.

I believe -Wconversion should have exactly the following simple
specification: warn for any implicit conversion that may change a value.  
This implies -Wsign-compare, parts of the existing -Wconversion (but not
those for widening through prototype, etc.), and various cases that there
isn't currently a warning option for (e.g. assigning a signed int to an
unsigned int), and would be useful for security auditing.  The same
intelligence used by -Wsign-compare to avoid warning where problems cannot
in fact arise (e.g. comparing a constant positive signed integer to an
unsigned integer) should be used.  Depending on how many warnings this
generates for reasonable code, there may need to be options to disable
individual parts (beyond the existing -Wno-sign-compare).

Some parts of this might also be useful in -Wtraditional.

Such a -Wconversion implementation would need thorough testcases (probably
a few hundred lines, likely rather longer than the rest of the patch) for
all the different cases of implicit conversion that do warn, or don't warn
because that type conversion can't change values, or don't warn because
that conversion is converting a constant (etc.) to the same value.

-- 
Joseph S. Myers
jsm28@cam.ac.uk




Bug reassigned from package `gcc-3.0' to `gcc-3.2'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to bangerth@dealii.org, 128950@bugs.debian.org, agthorr@barsoom.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nobody@gcc.gnu.org, segher@koffie.nl, gcc-gnats@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #53 received at 128950@bugs.debian.org (full text, mbox):

From: bangerth@dealii.org
To: 128950@bugs.debian.org, agthorr@barsoom.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nobody@gcc.gnu.org, segher@koffie.nl
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: 2 Feb 2003 22:54:20 -0000
Synopsis: -Wconversion should be split into two distinct flags

State-Changed-From-To: open->analyzed
State-Changed-By: bangerth
State-Changed-When: Sun Feb  2 22:54:20 2003
State-Changed-Why:
    Has been analyzed. Patch is even in the audit trail, but
    seems to have become stuck in gcc's patch acceptance machinery...
    
    W.

http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=9072



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to "Joseph S. Myers" <jsm28@cam.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #58 received at 128950@bugs.debian.org (full text, mbox):

From: "Joseph S. Myers" <jsm28@cam.ac.uk>
To: <bangerth@dealii.org>, <128950@bugs.debian.org>, <agthorr@barsoom.org>, <gcc-bugs@gcc.gnu.org>, <segher@koffie.nl>, <gcc-gnats@gcc.gnu.org>
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: Mon, 3 Feb 2003 00:08:30 +0000 (GMT)
On 2 Feb 2003 bangerth@dealii.org wrote:

>     Has been analyzed. Patch is even in the audit trail, but
>     seems to have become stuck in gcc's patch acceptance machinery...

The patch isn't even one suitable for review, as it lacks testcases.  It
is established procedure [0] that patches failing to follow the standards
adequately get ignored.  Even with them, it just papers over particular
problems rather than actually implementing a sensible consistent
specification for -Wconversion.

[0] This is very bad procedure; ignoring patches rather than explaining
what is wrong is far too likely to lose potential contributors.  It is,
however, what happens; patches not following the standards are more
tedious to review than ones following the standards, and even many good
patches following the standards get ignored.  However, this patch was not
ignored; it received several comments on what ought to be done.

I expect a patch that followed the GNU and GCC coding standards, including
thorough testcases, and implemented the simple specification I gave for
-Wconversion (warn for any implicit conversion that may change a value),
would get reviewed.

-- 
Joseph S. Myers
jsm28@cam.ac.uk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Segher Boessenkool <segher@koffie.nl>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #63 received at 128950@bugs.debian.org (full text, mbox):

From: Segher Boessenkool <segher@koffie.nl>
To: "Joseph S. Myers" <jsm28@cam.ac.uk>
Cc: bangerth@dealii.org, 128950@bugs.debian.org, agthorr@barsoom.org, gcc-bugs@gcc.gnu.org, gcc-gnats@gcc.gnu.org
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: Mon, 03 Feb 2003 02:57:26 +0100
Joseph S. Myers wrote:
> On 2 Feb 2003 bangerth@dealii.org wrote:
> 
> 
>>    Has been analyzed. Patch is even in the audit trail, but
>>    seems to have become stuck in gcc's patch acceptance machinery...
> 
> 
> The patch isn't even one suitable for review, as it lacks testcases.  It

I didn't intend for it to be reviewed; I just asked if this was
the kind of thing that was asked for.  Writing a good patch for
this was far more work (esp. writing a testcase that covers
all cases).  I have one in the works but as there was not
much interest I dropped it on the floor.  If anyone still wants
it, better speak up.

> [0] This is very bad procedure; ignoring patches rather than explaining
> what is wrong is far too likely to lose potential contributors.  It is,

Agreed.

> however, what happens; patches not following the standards are more
> tedious to review than ones following the standards, and even many good
> patches following the standards get ignored.  However, this patch was not
> ignored; it received several comments on what ought to be done.

True.  But no consensus was reached on whether this was a good idea
at all.  As this is mostly tedious, non-fun work and I don't get
paid a dime to do it, and no-one cheered me on, it wasn't a priority
work for me (and I forgot about it, really).

> I expect a patch that followed the GNU and GCC coding standards, including
> thorough testcases, and implemented the simple specification I gave for
> -Wconversion (warn for any implicit conversion that may change a value),
> would get reviewed.

I'd like to hear whether this change to the semantics of -Wconversion
is likely to be accepted, first.


Cheers,

Segher




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Agthorr <agthorr@barsoom.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #68 received at 128950@bugs.debian.org (full text, mbox):

From: Agthorr <agthorr@barsoom.org>
To: Segher Boessenkool <segher@koffie.nl>
Cc: "Joseph S. Myers" <jsm28@cam.ac.uk>, bangerth@dealii.org, 128950@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-gnats@gcc.gnu.org
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: Sun, 2 Feb 2003 18:34:44 -0800
On Mon, Feb 03, 2003 at 02:57:26AM +0100, Segher Boessenkool wrote:
> I didn't intend for it to be reviewed; I just asked if this was
> the kind of thing that was asked for.  Writing a good patch for
> this was far more work (esp. writing a testcase that covers
> all cases).  I have one in the works but as there was not
> much interest I dropped it on the floor.  If anyone still wants
> it, better speak up.

Hello,

I'm the person who originally filed this bug.  Your patch does indeed
seem to do what I want, and I would love to see it (or something
similar) in a future version of gcc.  I agree that passing a parameter
to a function should be considered an assignment for -Wconversion
purposes.  I also agree with Joseph Myers' statement that -Wconversion
should "warn for any implicit conversion that may change a value".

> True.  But no consensus was reached on whether this was a good idea
> at all.  As this is mostly tedious, non-fun work and I don't get
> paid a dime to do it, and no-one cheered me on, it wasn't a priority
> work for me (and I forgot about it, really).

CHEER!  CHEER!

I apologize for not responding sooner.  I'm a graduate student and
have been ill on-and-off since mid-December.  This does not make for
free time for responding to email :)

I realize that this is not a high-priority issue, but I do appreciate
any effort that goes into making -Wconversion more useful.

-- Agthorr



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Bangerth <bangerth@ticam.utexas.edu>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #73 received at 128950@bugs.debian.org (full text, mbox):

From: Wolfgang Bangerth <bangerth@ticam.utexas.edu>
To: "Joseph S. Myers" <jsm28@cam.ac.uk>
Cc: 128950@bugs.debian.org, <agthorr@barsoom.org>, <gcc-bugs@gcc.gnu.org>, <segher@koffie.nl>, <gcc-gnats@gcc.gnu.org>
Subject: Re: c/9072: -Wconversion should be split into two distinct flags
Date: Mon, 3 Feb 2003 10:31:41 -0600 (CST)
On Mon, 3 Feb 2003, Joseph S. Myers wrote:
> >     Has been analyzed. Patch is even in the audit trail, but
> >     seems to have become stuck in gcc's patch acceptance machinery...
> 
> The patch isn't even one suitable for review, as it lacks testcases.  It
> is established procedure [0] that patches failing to follow the standards
> adequately get ignored.

Sorry, don't flame me :-) I am just trying to find ways to get patch 
submitters and potential reviewers together. 

The bug database is full with reports that have patches attached. If 
nobody with the ability to judge things takes a look at them, then they 
will remain open forever. I'm just trying to spark discussion on them. 
Every once in a while I succeed to get a patch into CVS this way. I think 
that's better than just letting them sleep.


> [0] This is very bad procedure; ignoring patches rather than explaining
> what is wrong is far too likely to lose potential contributors.

Exactly. If there's someone with little knowledge of gcc processes who 
manages to find a patch that then never gets any attention, he's not 
likely to try again next time. If he does get feedback, and be it only 
that the patch is basically that it is ok but a Changelog entry missing 
and that the ChangeLog format is described at XYZ, then that'll motivate 
people. 

I do understand why this is so, but we're doing badly in this field!

Regards
  Wolfgang

PS: Segher - I think the idea of this PR is right, and I would certainly 
appreciate if you could submit a patch! Thanks!

-------------------------------------------------------------------------
Wolfgang Bangerth             email:            bangerth@ticam.utexas.edu
                              www: http://www.ticam.utexas.edu/~bangerth/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Geoff Thorpe <geoff@geoffthorpe.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #78 received at 128950@bugs.debian.org (full text, mbox):

From: Geoff Thorpe <geoff@geoffthorpe.net>
To: Agthorr <agthorr@barsoom.org>
Cc: Segher Boessenkool <segher@koffie.nl>, "Joseph S. Myers" <jsm28@cam.ac.uk>, bangerth@dealii.org, 128950@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-gnats@gcc.gnu.org, josh.dybnis@sandtechnology.com
Subject: gcc's -Wconversion
Date: Thu, 06 Feb 2003 17:22:43 -0500
Hi all,

I've just been searching the gcc bug database because of what I observed
to be a damned annoying behaviour of -Wconversion, and lo' and behold,
it looks like you've all been there and done that (PR#: 9072 and 6614).

Right now, use of -Wconversion seems to be pretty much useless to me if
I use any function that accepts a parameter smaller than 32-bits. Eg.

  void foo(unsigned short b)
  {
      foo(b + 1);
  }

compiled with "gcc -Wconversion" gives the dreaded "warning: passing arg
1 of `foo' with different width due to prototype".

Use of libc functions such as htons also pose a problem so I'm
essentially forced to avoid -Wconversion, which I think is a shame - it
should be a useful check to have in place, but appears to deal with ABI
checking rather than C type checking[1].

If the efforts being made in #9072 were held up, as was suggested in one
of the mails, by lack of interest - let me chime in here and say that I
for one would love to see this sorted out and bravo to whoever does it!
:-)

Regards,
Geoff

[1] Please excuse such looseness of terminology, I'm anything but a
compiler-guru ...

-- 
Geoff Thorpe
geoff@openssl.org
http://www.openssl.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to "Joseph S. Myers" <jsm28@cam.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #83 received at 128950@bugs.debian.org (full text, mbox):

From: "Joseph S. Myers" <jsm28@cam.ac.uk>
To: Geoff Thorpe <geoff@geoffthorpe.net>
Cc: Agthorr <agthorr@barsoom.org>, Segher Boessenkool <segher@koffie.nl>, <bangerth@dealii.org>, <128950@bugs.debian.org>, <gcc-bugs@gcc.gnu.org>, <josh.dybnis@sandtechnology.com>
Subject: Re: gcc's -Wconversion
Date: Thu, 6 Feb 2003 22:57:33 +0000 (GMT)
On Thu, 6 Feb 2003, Geoff Thorpe wrote:

>   void foo(unsigned short b)
>   {
>       foo(b + 1);
>   }
> 
> compiled with "gcc -Wconversion" gives the dreaded "warning: passing arg
> 1 of `foo' with different width due to prototype".

But in this particular case, the warning is correct.  b gets promoted to 
int in the expression, and b+1 has type int, and (if b == USHRT_MAX) the 
implicit conversion can change the value.

-- 
Joseph S. Myers
jsm28@cam.ac.uk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Geoff Thorpe <geoff@geoffthorpe.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #88 received at 128950@bugs.debian.org (full text, mbox):

From: Geoff Thorpe <geoff@geoffthorpe.net>
To: "Joseph S. Myers" <jsm28@cam.ac.uk>
Cc: Agthorr <agthorr@barsoom.org>, Segher Boessenkool <segher@koffie.nl>, bangerth@dealii.org, 128950@bugs.debian.org, gcc-bugs@gcc.gnu.org, josh.dybnis@sandtechnology.com
Subject: Re: gcc's -Wconversion
Date: Thu, 06 Feb 2003 18:18:41 -0500
* Joseph S. Myers (jsm28@cam.ac.uk) wrote:
> On Thu, 6 Feb 2003, Geoff Thorpe wrote:
> 
> >   void foo(unsigned short b)
> >   {
> >       foo(b + 1);
> >   }
> > 
> > compiled with "gcc -Wconversion" gives the dreaded "warning: passing arg
> > 1 of `foo' with different width due to prototype".
> 
> But in this particular case, the warning is correct.  b gets promoted to 
> int in the expression, and b+1 has type int, and (if b == USHRT_MAX) the 
> implicit conversion can change the value.

OK, that was an unfortunately bad example and you found the hole in the
example rather than the problem I was trying to point out. Try;

s/b + 1/b/

or

s/b + 1/1/

or

s/b + 1/(unsigned short)(b + 1)/

They give the same warning. Yes, the parameter gets promoted in all
these cases, but not in the sense you mentioned - they get promoted to
32-bit types w.r.t. calling convention and ABI. However that's not C's
fault, and I shouldn't (really) get promotion warnings when passing a
perfectly valid unsigned short parameter to a function that is
prototyped accordingly. Eg. you get the same problem if you try to
compile code that calculates htons(5) (unless you use -O2 and inlining
gets rid of the function call altogether). The upshot (it seems) is that
any code that calls any function declared to accept parameters smaller
than 32-bits in width will give these warnings. It's what I'm seeing
with the htons() example I gave FWIW, and I see this with gcc-2.96 as
well as Mandrake's gcc-3.2 package.

Sorry for the misleading example.

Cheers,
Geoff

-- 
Geoff Thorpe
geoff@geoffthorpe.net
http://www.geoffthorpe.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Andreas Schwab <schwab@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #93 received at 128950@bugs.debian.org (full text, mbox):

From: Andreas Schwab <schwab@suse.de>
To: Geoff Thorpe <geoff@geoffthorpe.net>
Cc: Agthorr <agthorr@barsoom.org>, Segher Boessenkool <segher@koffie.nl>, "Joseph S. Myers" <jsm28@cam.ac.uk>, bangerth@dealii.org, 128950@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-gnats@gcc.gnu.org, josh.dybnis@sandtechnology.com
Subject: Re: gcc's -Wconversion
Date: Fri, 07 Feb 2003 11:38:52 +0100
Geoff Thorpe <geoff@geoffthorpe.net> writes:

|> Hi all,
|> 
|> I've just been searching the gcc bug database because of what I observed
|> to be a damned annoying behaviour of -Wconversion, and lo' and behold,
|> it looks like you've all been there and done that (PR#: 9072 and 6614).
|> 
|> Right now, use of -Wconversion seems to be pretty much useless to me if

-Wconversion is designed to help moving K&R to ISO C, nothing more.

|> I use any function that accepts a parameter smaller than 32-bits. Eg.
|> 
|>   void foo(unsigned short b)
|>   {
|>       foo(b + 1);
|>   }
|> 
|> compiled with "gcc -Wconversion" gives the dreaded "warning: passing arg
|> 1 of `foo' with different width due to prototype".

This is exactly behaving as documented.

Andreas.

-- 
Andreas Schwab, SuSE Labs, schwab@suse.de
SuSE Linux AG, Deutschherrnstr. 15-19, D-90429 N├╝rnberg
Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to Segher Boessenkool <segher@koffie.nl>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #98 received at 128950@bugs.debian.org (full text, mbox):

From: Segher Boessenkool <segher@koffie.nl>
To: Andreas Schwab <schwab@suse.de>
Cc: Geoff Thorpe <geoff@geoffthorpe.net>, Agthorr <agthorr@barsoom.org>, "Joseph S. Myers" <jsm28@cam.ac.uk>, bangerth@dealii.org, 128950@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-gnats@gcc.gnu.org, josh.dybnis@sandtechnology.com
Subject: Re: gcc's -Wconversion
Date: Sat, 08 Feb 2003 09:14:11 +0100
Andreas Schwab wrote:

> -Wconversion is designed to help moving K&R to ISO C, nothing more.

> This is exactly behaving as documented.


Yes, but this discussion is about making a new option, and maybe
renaming this option, to do something more useful.


Segher




Forwarded-to-address changed from gcc-gnats@gcc.gnu.org to http://gcc.gnu.org/PR9072. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #107 received at 128950@bugs.debian.org (full text, mbox):

From: "pinskia at physics dot uc dot edu" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 24 Jun 2003 15:45:04 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072


pinskia at physics dot uc dot edu changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
           Keywords|                            |diagnostic





------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-3.2. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #112 received at 128950@bugs.debian.org (full text, mbox):

From: "Jay dot St dot Pierre at Colorado dot EDU" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 3 Oct 2003 15:24:04 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072


Jay dot St dot Pierre at Colorado dot EDU changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |Jay dot St dot Pierre at
                   |                            |Colorado dot EDU


------- Additional Comments From Jay dot St dot Pierre at Colorado dot EDU  2003-10-03 15:24 -------
Note that this is still an issue with 3.3.1.



------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Bug reassigned from package `gcc-3.2' to `gcc-3.3'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-3.3. Full text and rfc822 format available.

Message #117 received at 128950@bugs.debian.org (full text, mbox):

From: "gcc at sopwith dot solgatos dot com" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 15 Mar 2005 23:22:40 -0000
------- Additional Comments From gcc at sopwith dot solgatos dot com  2005-03-15 23:22 -------
I observe that gcc -Wconversion generates the exact same warning
message for converting from narrow to wide as it does for converting
from wide to narrow.  Correct me if I'm wrong, but converting from
narrow to wide should always be safe, while converting from wide to
narrow is not safe.  I would like to be able to find the unsafe
conversions without drowning in warning messages about safe conversions.
This would make porting code from ILP32 to LP64 easier.

sopwith cat conversion2.c
#include <stdio.h>

void func1(int);
void func2(long);

int
main(void)
{
  long a;

  func1(5);
  func2(5);  /* line 12 - conversion appears to be harmless? */

  a = 5;
  func1(a); /* line 15 - conversion appears to be harmless? (since the data fits
in 32 bits) */
  func2(a);

  a = 50000000000;
  func1(a); /* line 19 - conversion throws away data */
  func2(a);

  return 0;
}

void
func1(int arg)
{
  printf("func1: arg = %d\n", arg);
}

void
func2(long arg)
{
  printf("func2: arg = %ld\n", arg);
}
sopwith gcc -O2 -Wconversion conversion2.c -o conversion2
conversion2.c: In function `main':
conversion2.c:12: warning: passing arg 1 of `func2' with different width due to
prototype
conversion2.c:15: warning: passing arg 1 of `func1' with different width due to
prototype
conversion2.c:19: warning: passing arg 1 of `func1' with different width due to
prototype
sopwith ./conversion2
func1: arg = 5
func2: arg = 5
func1: arg = 5
func2: arg = 5
func1: arg = -1539607552
func2: arg = 50000000000
sopwith 


-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-3.3. Full text and rfc822 format available.

Message #120 received at 128950@bugs.debian.org (full text, mbox):

From: "jsm28 at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 19 Mar 2005 13:34:47 -0000
------- Additional Comments From jsm28 at gcc dot gnu dot org  2005-03-19 13:34 -------
*** Bug 20535 has been marked as a duplicate of this bug. ***

-- 
           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |olh at suse dot de


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Bug reassigned from package `gcc-3.3' to `gcc-4.0'. Request was from Falk Hueffner <falk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Message #125 received at 128950@bugs.debian.org (full text, mbox):

From: "pinskia at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 18 Dec 2005 00:36:21 -0000

-- 

pinskia at gcc dot gnu dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
   Last reconfirmed|2005-09-18 01:16:21         |2005-12-18 00:36:20
               date|                            |


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Message #128 received at 128950@bugs.debian.org (full text, mbox):

From: "dberlin at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 4 Jun 2006 18:54:11 -0000

-- 

dberlin at gcc dot gnu dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |dberlin at gcc dot gnu dot
                   |                            |org


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Message #131 received at 128950@bugs.debian.org (full text, mbox):

From: "lopezibanez at gmail dot com" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 4 Jun 2006 19:06:58 -0000

-- 

lopezibanez at gmail dot com changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |lopezibanez at gmail dot com


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #136 received at 128950@bugs.debian.org (full text, mbox):

From: "lopezibanez at gmail dot com" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 5 Jul 2006 11:16:03 -0000

------- Comment #14 from lopezibanez at gmail dot com  2006-07-05 11:15 -------
Created an attachment (id=11826)
 --> (http://gcc.gnu.org/bugzilla/attachment.cgi?id=11826&action=view)
split current functionality of Wconversion in two different options

This patch divides the functionality of Wconversion into two additional warning
options Wtradtional-conversion and Wcoercion as part of the Wcoercion project 
(
http://gcc.gnu.org/wiki/Wcoercion#Background ). These are added for the sake of
clarity (in order to distinguish them from the current Wconversion) and during
the development phase and they are not meant to be the final form that the
options will take.

Bootstrapped and tested in i686-pc-linux-gnu for trunk revision 115112.


-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #141 received at 128950@bugs.debian.org (full text, mbox):

From: "lopezibanez at gmail dot com" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 5 Jul 2006 11:19:01 -0000

------- Comment #15 from lopezibanez at gmail dot com  2006-07-05 11:18 -------
Created an attachment (id=11827)
 --> (http://gcc.gnu.org/bugzilla/attachment.cgi?id=11827&action=view)
Adds a new function which detects when a real value can be exactly represented
as an integer.

Patch 2of3 http://gcc.gnu.org/wiki/Wcoercion#Background

Adds a new function which detects when a real value can be exactly represented
as an integer. This function is needed for the next patch.


-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #146 received at 128950@bugs.debian.org (full text, mbox):

From: "lopezibanez at gmail dot com" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 5 Jul 2006 11:22:14 -0000

------- Comment #16 from lopezibanez at gmail dot com  2006-07-05 11:22 -------
Created an attachment (id=11828)
 --> (http://gcc.gnu.org/bugzilla/attachment.cgi?id=11828&action=view)
detect implicit conversions where a value may change

patch 3of3 http://gcc.gnu.org/wiki/Wcoercion#Background

Detect implicit conversions where a value may change by narrowing, loss of
precision or change of sign when passing arguments and in assignments. It
includes testcases.


-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #151 received at 128950@bugs.debian.org (full text, mbox):

From: "manu at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 23 Nov 2006 18:39:51 -0000

------- Comment #17 from manu at gcc dot gnu dot org  2006-11-23 18:39 -------
Subject: Bug 9072

Author: manu
Date: Thu Nov 23 18:39:32 2006
New Revision: 119129

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=119129
Log:
2006-11-23  Manuel Lopez-Ibanez  <manu@gcc.gnu.org>

        PR c/9072 
        * c.opt (Wtraditional-conversion): New.
        (Wconversion): Update description.
        * c-typeck.c (convert_arguments): Warnings for prototypes causing
        type conversions different from what would happen in the absence
        of prototype are now handled by Wtraditional-conversion.
        * doc/invoke.texi (Wtraditional-conversion): New.
        (Wconversion): Update description.
        * doc/trouble.texi (Wconversion): Replace Wconversion by
        Wtraditional-conversion.

testsuite/

        PR c/9072 
        * gcc.dg/builtin-protos-1.c: Replace Wconversion by
        Wtraditional-conversion.
        * gcc.dg/overflow-warn-2.c: Likewise.
        * gcc.dg/Wconversion.c: Likewise. Renamed as
        Wtraditional-conversion.c .
        * gcc.dg/Wconversion-2.c: Likewise. Renamed as
        Wtraditional-conversion-2.c .
        * gcc.dg/dfp/Wconversion-2.c: Likewise. Renamed as
        Wtraditional-conversion-2.c 
        * gcc.dg/Wconversion-negative-constants.c: New.


Added:
    trunk/gcc/testsuite/gcc.dg/Wconversion-negative-constants.c
    trunk/gcc/testsuite/gcc.dg/Wtraditional-conversion-2.c
      - copied, changed from r119128,
trunk/gcc/testsuite/gcc.dg/Wconversion-2.c
    trunk/gcc/testsuite/gcc.dg/Wtraditional-conversion.c
      - copied, changed from r119128, trunk/gcc/testsuite/gcc.dg/Wconversion.c
    trunk/gcc/testsuite/gcc.dg/dfp/Wtraditional-conversion-2.c
      - copied, changed from r119128,
trunk/gcc/testsuite/gcc.dg/dfp/Wconversion-2.c
Removed:
    trunk/gcc/testsuite/gcc.dg/Wconversion-2.c
    trunk/gcc/testsuite/gcc.dg/Wconversion.c
    trunk/gcc/testsuite/gcc.dg/dfp/Wconversion-2.c
Modified:
    trunk/ChangeLog
    trunk/gcc/ChangeLog
    trunk/gcc/c-typeck.c
    trunk/gcc/c.opt
    trunk/gcc/doc/invoke.texi
    trunk/gcc/doc/trouble.texi
    trunk/gcc/testsuite/ChangeLog
    trunk/gcc/testsuite/gcc.dg/builtin-protos-1.c
    trunk/gcc/testsuite/gcc.dg/overflow-warn-2.c


-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #156 received at 128950@bugs.debian.org (full text, mbox):

From: "lopezibanez at gmail dot com" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 23 Nov 2006 18:55:14 -0000

------- Comment #18 from lopezibanez at gmail dot com  2006-11-23 18:55 -------
I have insufficient privileges to close this bug. Please, someone, close it as
FIXED. Thanks.


-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #161 received at 128950@bugs.debian.org (full text, mbox):

From: "pinskia at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 23 Nov 2006 22:51:23 -0000

------- Comment #19 from pinskia at gcc dot gnu dot org  2006-11-23 22:51 -------
(In reply to comment #18)
> I have insufficient privileges to close this bug. Please, someone, close it as
> FIXED. Thanks.

You should be able to use your @gcc.gnu.org account to close the bug report.


-- 

pinskia at gcc dot gnu dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|                            |FIXED
   Target Milestone|---                         |4.3.0


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #168 received at 128950@bugs.debian.org (full text, mbox):

From: "manu at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 1 Dec 2006 21:19:40 -0000

-- 

manu at gcc dot gnu dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|lopezibanez at gmail dot com|manu at gcc dot gnu dot org


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #173 received at 128950@bugs.debian.org (full text, mbox):

From: "manu at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 23 Feb 2007 16:09:19 -0000

------- Comment #20 from manu at gcc dot gnu dot org  2007-02-23 16:09 -------
*** Bug 30916 has been marked as a duplicate of this bug. ***


-- 

manu at gcc dot gnu dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |hermantenbrugge at home dot
                   |                            |nl


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.



Tags added: pending Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Wed, 30 Jan 2008 19:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#128950; Package gcc-4.0. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #180 received at 128950@bugs.debian.org (full text, mbox):

From: "pinskia at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 128950@bugs.debian.org
Subject: [Bug c/9072] -Wconversion should be split into two distinct flags
Date: 15 Feb 2008 20:50:38 -0000

------- Comment #21 from pinskia at gcc dot gnu dot org  2008-02-15 20:50 -------
*** Bug 35214 has been marked as a duplicate of this bug. ***


-- 

pinskia at gcc dot gnu dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |jason dot vas dot dias at
                   |                            |gmail dot com


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9072

------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Agthorr <agthorr@barsoom.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #185 received at 128950-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 128950-close@bugs.debian.org
Subject: Bug#128950: fixed in gcc-4.3 4.3.1-1
Date: Sun, 08 Jun 2008 07:32:15 +0000
Source: gcc-4.3
Source-Version: 4.3.1-1

We believe that the bug you reported is fixed in the latest version of
gcc-4.3, which is due to be installed in the Debian FTP archive:

cpp-4.3_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/cpp-4.3_4.3.1-1_i386.deb
fixincludes_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/fixincludes_4.3.1-1_i386.deb
g++-4.3-multilib_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/g++-4.3-multilib_4.3.1-1_i386.deb
g++-4.3_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/g++-4.3_4.3.1-1_i386.deb
gcc-4.3-base_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3-base_4.3.1-1_i386.deb
gcc-4.3-locales_4.3.1-1_all.deb
  to pool/main/g/gcc-4.3/gcc-4.3-locales_4.3.1-1_all.deb
gcc-4.3-multilib_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3-multilib_4.3.1-1_i386.deb
gcc-4.3-source_4.3.1-1_all.deb
  to pool/main/g/gcc-4.3/gcc-4.3-source_4.3.1-1_all.deb
gcc-4.3_4.3.1-1.diff.gz
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.1-1.diff.gz
gcc-4.3_4.3.1-1.dsc
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.1-1.dsc
gcc-4.3_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.1-1_i386.deb
gcc-4.3_4.3.1.orig.tar.gz
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.1.orig.tar.gz
gfortran-4.3-multilib_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/gfortran-4.3-multilib_4.3.1-1_i386.deb
gfortran-4.3_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/gfortran-4.3_4.3.1-1_i386.deb
gobjc++-4.3-multilib_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3-multilib_4.3.1-1_i386.deb
gobjc++-4.3_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3_4.3.1-1_i386.deb
gobjc-4.3-multilib_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/gobjc-4.3-multilib_4.3.1-1_i386.deb
gobjc-4.3_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/gobjc-4.3_4.3.1-1_i386.deb
lib64gcc1-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64gcc1-dbg_4.3.1-1_i386.deb
lib64gcc1_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64gcc1_4.3.1-1_i386.deb
lib64gfortran3-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64gfortran3-dbg_4.3.1-1_i386.deb
lib64gfortran3_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64gfortran3_4.3.1-1_i386.deb
lib64gomp1-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64gomp1-dbg_4.3.1-1_i386.deb
lib64gomp1_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64gomp1_4.3.1-1_i386.deb
lib64mudflap0-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64mudflap0-dbg_4.3.1-1_i386.deb
lib64mudflap0_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64mudflap0_4.3.1-1_i386.deb
lib64objc2-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64objc2-dbg_4.3.1-1_i386.deb
lib64objc2_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64objc2_4.3.1-1_i386.deb
lib64stdc++6-4.3-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64stdc++6-4.3-dbg_4.3.1-1_i386.deb
lib64stdc++6_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/lib64stdc++6_4.3.1-1_i386.deb
libgcc1-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libgcc1-dbg_4.3.1-1_i386.deb
libgcc1_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libgcc1_4.3.1-1_i386.deb
libgfortran3-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libgfortran3-dbg_4.3.1-1_i386.deb
libgfortran3_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libgfortran3_4.3.1-1_i386.deb
libgomp1-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libgomp1-dbg_4.3.1-1_i386.deb
libgomp1_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libgomp1_4.3.1-1_i386.deb
libmudflap0-4.3-dev_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0-4.3-dev_4.3.1-1_i386.deb
libmudflap0-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0-dbg_4.3.1-1_i386.deb
libmudflap0_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0_4.3.1-1_i386.deb
libobjc2-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libobjc2-dbg_4.3.1-1_i386.deb
libobjc2_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libobjc2_4.3.1-1_i386.deb
libstdc++6-4.3-dbg_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dbg_4.3.1-1_i386.deb
libstdc++6-4.3-dev_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dev_4.3.1-1_i386.deb
libstdc++6-4.3-doc_4.3.1-1_all.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-doc_4.3.1-1_all.deb
libstdc++6-4.3-pic_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-pic_4.3.1-1_i386.deb
libstdc++6_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6_4.3.1-1_i386.deb
protoize_4.3.1-1_i386.deb
  to pool/main/g/gcc-4.3/protoize_4.3.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 128950@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Jun 2008 23:16:21 +0200
Source: gcc-4.3
Binary: gcc-4.3-base libgcc1 libgcc1-dbg libgcc2 libgcc2-dbg libgcc4 libgcc4-dbg lib64gcc1 lib64gcc1-dbg lib32gcc1 lib32gcc1-dbg libn32gcc1 libn32gcc1-dbg gcc-4.3 gcc-4.3-multilib gcc-4.3-hppa64 gcc-4.3-spu g++-4.3-spu gfortran-4.3-spu cpp-4.3 gcc-4.3-locales g++-4.3 g++-4.3-multilib libmudflap0 libmudflap0-dbg lib32mudflap0 lib32mudflap0-dbg lib64mudflap0 lib64mudflap0-dbg libn32mudflap0 libn32mudflap0-dbg libmudflap0-4.3-dev libgomp1 libgomp1-dbg lib32gomp1 lib32gomp1-dbg lib64gomp1 lib64gomp1-dbg libn32gomp1 libn32gomp1-dbg protoize gobjc++-4.3 gobjc++-4.3-multilib gobjc-4.3 gobjc-4.3-multilib libobjc2 libobjc2-dbg lib64objc2 lib64objc2-dbg lib32objc2 lib32objc2-dbg libn32objc2 libn32objc2-dbg gfortran-4.3 gfortran-4.3-multilib libgfortran3 libgfortran3-dbg lib64gfortran3 lib64gfortran3-dbg lib32gfortran3 lib32gfortran3-dbg libn32gfortran3 libn32gfortran3-dbg libstdc++6 lib32stdc++6 lib64stdc++6 libn32stdc++6 libstdc++6-4.3-dev libstdc++6-4.3-pic libstdc++6-4.3-dbg lib32stdc++6-4.3-dbg lib64stdc++6-4.3-dbg libn32stdc++6-4.3-dbg libstdc++6-4.3-doc gcc-4.3-soft-float fixincludes gcc-4.3-source
Architecture: source all i386
Version: 4.3.1-1
Distribution: unstable
Urgency: high
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.3    - The GNU C preprocessor
 fixincludes - Fix non-ANSI header files
 g++-4.3    - The GNU C++ compiler
 g++-4.3-multilib - The GNU C++ compiler (multilib files)
 g++-4.3-spu - SPU cross-compiler (C++ compiler)
 gcc-4.3    - The GNU C compiler
 gcc-4.3-base - The GNU Compiler Collection (base package)
 gcc-4.3-hppa64 - The GNU C compiler (cross compiler for hppa64)
 gcc-4.3-locales - The GNU C compiler (native language support files)
 gcc-4.3-multilib - The GNU C compiler (multilib files)
 gcc-4.3-soft-float - The soft-floating-point gcc libraries (arm)
 gcc-4.3-source - Source of the GNU Compiler Collection
 gcc-4.3-spu - SPU cross-compiler (preprocessor and C compiler)
 gfortran-4.3 - The GNU Fortran 95 compiler
 gfortran-4.3-multilib - The GNU Fortran 95 compiler (multilib files)
 gfortran-4.3-spu - SPU cross-compiler (Fortran compiler)
 gobjc++-4.3 - The GNU Objective-C++ compiler
 gobjc++-4.3-multilib - The GNU Objective-C++ compiler (multilib files)
 gobjc-4.3  - The GNU Objective-C compiler
 gobjc-4.3-multilib - The GNU Objective-C compiler (multilib files)
 lib32gcc1  - GCC support library (32 bit Version)
 lib32gcc1-dbg - GCC support library (debug symbols)
 lib32gfortran3 - Runtime library for GNU Fortran applications (32bit)
 lib32gfortran3-dbg - Runtime library for GNU Fortran applications (32 bit debug symbol
 lib32gomp1 - GCC OpenMP (GOMP) support library (32bit)
 lib32gomp1-dbg - GCC OpenMP (GOMP) support library (32 bit debug symbols)
 lib32mudflap0 - GCC mudflap shared support libraries (32bit)
 lib32mudflap0-dbg - GCC mudflap shared support libraries (32 bit debug symbols)
 lib32objc2 - Runtime library for GNU Objective-C applications (32bit)
 lib32objc2-dbg - Runtime library for GNU Objective-C applications (32 bit debug sy
 lib32stdc++6 - The GNU Standard C++ Library v3 (32 bit Version)
 lib32stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 lib64gcc1  - GCC support library (64bit)
 lib64gcc1-dbg - GCC support library (debug symbols)
 lib64gfortran3 - Runtime library for GNU Fortran applications (64bit)
 lib64gfortran3-dbg - Runtime library for GNU Fortran applications (64bit debug symbols
 lib64gomp1 - GCC OpenMP (GOMP) support library (64bit)
 lib64gomp1-dbg - GCC OpenMP (GOMP) support library (64bit debug symbols)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64mudflap0-dbg - GCC mudflap shared support libraries (64 bit debug symbols)
 lib64objc2 - Runtime library for GNU Objective-C applications (64bit)
 lib64objc2-dbg - Runtime library for GNU Objective-C applications (64 bit debug sy
 lib64stdc++6 - The GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libgcc1    - GCC support library
 libgcc1-dbg - GCC support library (debug symbols)
 libgcc2    - GCC support library
 libgcc2-dbg - GCC support library (debug symbols)
 libgcc4    - GCC support library
 libgcc4-dbg - GCC support library (debug symbols)
 libgfortran3 - Runtime library for GNU Fortran applications
 libgfortran3-dbg - Runtime library for GNU Fortran applications (debug symbols)
 libgomp1   - GCC OpenMP (GOMP) support library
 libgomp1-dbg - GCC OpenMP (GOMP) support library (debug symbols)
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-4.3-dev - GCC mudflap support libraries (development files)
 libmudflap0-dbg - GCC mudflap shared support libraries (debug symbols)
 libn32gcc1 - GCC support library (n32)
 libn32gcc1-dbg - GCC support library (debug symbols)
 libn32gfortran3 - Runtime library for GNU Fortran applications (n32)
 libn32gfortran3-dbg - Runtime library for GNU Fortran applications (n32 debug symbols)
 libn32gomp1 - GCC OpenMP (GOMP) support library (n32)
 libn32gomp1-dbg - GCC OpenMP (GOMP) support library (n32 debug symbols)
 libn32mudflap0 - GCC mudflap shared support libraries (n32)
 libn32mudflap0-dbg - GCC mudflap shared support libraries (n32 debug symbols)
 libn32objc2 - Runtime library for GNU Objective-C applications (n32)
 libn32objc2-dbg - Runtime library for GNU Objective-C applications (n32 debug symbo
 libn32stdc++6 - The GNU Standard C++ Library v3 (n32)
 libn32stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libobjc2   - Runtime library for GNU Objective-C applications
 libobjc2-dbg - Runtime library for GNU Objective-C applications (debug symbols)
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++6-4.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
Closes: 128950 186922 225434 226952 318534 327346 328421 340951 348298 351512 354439 355909 356316 369873 388596 392791 397341 399251 400484 401496 405065 406324 406442 408888 416326 417542 421098 426742 429385 433636 438436 445536 446067 446698 458072 459429 476460 483613
Changes: 
 gcc-4.3 (4.3.1-1) unstable; urgency=high
 .
   [Samuel Tardieu, Ludovic Brenta]
   * debian/patches/pr16087.dpatch: new. Fixes: #248173.
   * Correct the patches from the previous upload.
 .
   [Ludovic Brenta]
   * debian/patches/ada-acats.dpatch: really run the just-built gnat, not the
     bootstrap gnat.
   * debian/rules2: when running the Ada test suite, do not run the multilib
     tests as gnat does not support multilib yet.
   * Run the ACATS testsuite again (patch it so it correctly finds gnatmake).
 .
   [Thiemo Seufer]
   * debian/patches/ada-libgnatprj.dpatch,
     debian/patches/ada-mips{,el}.dpatch: complete support for mips and mipsel.
     Fixes: #482433.
 .
   [Matthias Klose]
   * GCC-4.3.1 release.
   * Do not include standard system paths in libgcj pkgconfig file.
   * Suggest the correct libmudflap0-dbg package.
   * Fix PR libjava/35020, taken from the trunk.
   * Apply proposed patch for PR tree-optimization/36343.
   * On hurd-i386 with -fstack-protector do not link with libssp_nonshared
     (Samuel Thibault). Closes: #483613.
   * Apply proposed patch for PR tree-optimization/34244.
   * Remove debian-revision in symbols files.
   * Fix installation of all biarch -multilib packages which are not triarch.
   * Fix some lintian warnings.
   * Include library symlinks in gobjc and gfortran multilib packages, when
     not building the library packages.
   * Fix sections in doc-base files.
   * Don't apply the sparc-biarch patch when building the gcc-snapshot package.
   * libjava: Add @file support for gjavah & gjar.
   * Apply patch for PR rtl-optimization/36111, taken from the trunk.
 .
   * Closing reports reported against gcc-4.0 and fixed in gcc-4.3:
     - General
       + Fix PR optimization/3511, inlined strlen() could be smarter.
         Close: #86251.
     - C
       + Fix PR c/9072, Split of -Wconversion in two different flags.
         Closes: #128950, #226952.
     - C++/libstdc++
       + PR libstdc++/24660, implement versioning weak symbols in libstdc++.
         Closes: #328421.
     - Architecture specific:
       - mips
         + PR target/26560, unable to find a register to spill in class
           'FP_REGS'. Closes: #354439.
       - sparc
         + Fix PR rtl-optimization/23454, ICE in invert_exp_1. Closes: #340951.
   * Closing reports reported against gcc-4.1 and fixed in gcc-4.2:
     - General
       + PR tree-optimization/30132, ICE in find_lattice_value. Closes: #400484.
       + PR other/29534, ICE in "gcc -O -ftrapv" with decreasing array index.
         Closes: #405065.
       + Incorrect SSE2 code generation for vector initialization.
         Closes: #406442.
       + Fix segfault in cc1 due to infinite loop in error() when using -ftrapv.
         Closes: #458072.
       + Fix regression in code size with -Os compared to GCC-3.3.
         Closes: #348298.
     - C++
       + Fix initialization of global variables with non-constant initializer.
         Closes: #446067.
       + Fix ICE building muse. Closes: #429385.
   * Closing reports reported against gcc-4.1 and fixed in gcc-4.3:
     - C++
       + PR c++/28705, ICE: in type_dependent_expression_p. Closes: #406324.
       + PR c++/7302, -Wnon-virtual-dtor should't complain of protected dtor.
         Closes: #356316.
       + PR c++/28316, PR c++/24791, PR c++/20133, ICE in instantiate_decl.
         Closes: #327346, #355909.
     - Fortran
       + PR fortran/31639, ICE in gfc_conv_constant. Closes: #401496.
     - Java
       + Fix ICE using gcj with --coverage. Closes: #416326.
       + PR libgcj/29869, LogManager class loading failure. Closes: #399251
       + PR swing/29547 setText (String) of JButton does not work
         with HTML code. Closes: #392791.
       + PR libgcj/29178, CharsetEncoder.canEncode() gives different results
         than Sun version. Closes: #388596.
       + PR java/8923, ICE when modifying a variable decleared "final static".
         Closes: #351512.
       + PR java/22507, segfault building Apache Cocoon. Closes: #318534.
       + PR java/2499, class members should be inherited from implemented
         interfaces. Closes: #225434.
       + PR java/10581, ICE compiling freenet. Closes: #186922.
       + PR libgcj/28340, gij ignores -Djava.security.manager. Closes: #421098.
       + PR java/32846, build failure on GNU/Hurd. Closes: #408888.
       + PR java/29194, fails to import package from project. Closes: #369873.
       + PR libgcj/31700, -X options not recognised by JNI_CreateJavaVM.
         Closes: #426742.
       + java.util.Calendar.setTimeZone fails to set ZONE_OFFSET.
         Closes: #433636.
     - Architecture specific:
       - alpha
         + C++, fix segfault in constructor with -Os. Closes: #438436.
       - hppa
         + PR target/30131, ICE in propagate_one_insn. Closes: #397341.
       - m32r
         + PR target/28508, assembler error (operand out of range).
           Closes: #417542.
       - m68k
         + PR target/34688, ICE in output_operand. Closes: #459429.
   * Closing reports reported against gcc-4.2 and fixed in gcc-4.3:
     - General
       + PR tree-optimization/33826, wrong code generation for infinitely
         recursive functions. Closes: #445536.
     - C++
       + PR c++/24791, ICE on invalid instantiation of template's static member.
         Closes: #446698.
 .
   [Aurelien Jarno]
   * Really apply arm-funroll-loops.dpatch on arm and armel. Closes: #476460.
Checksums-Sha1: 
 faced12a1b7d97af23628ffaf18b0ceb83845187 3570 gcc-4.3_4.3.1-1.dsc
 181083c73faf84373d5c051d5906d6427c379942 44063179 gcc-4.3_4.3.1.orig.tar.gz
 7bdc8356a91fbaec7a602a825375d7d3945ad020 515495 gcc-4.3_4.3.1-1.diff.gz
 45aabaa8f0f62789b88cdb1032bca768eb6cc223 44311914 gcc-4.3-source_4.3.1-1_all.deb
 cdc5c009258ae0de32e269ae7f7f8a9d5d176dc4 14446890 libstdc++6-4.3-doc_4.3.1-1_all.deb
 29f03a20ba1a93f88b634412cf8a38533a8f27ba 2006860 gcc-4.3-locales_4.3.1-1_all.deb
 ca43d8219f602d125d31b07ace8633b548c4cde4 101456 gcc-4.3-base_4.3.1-1_i386.deb
 985b2b8219119984f07c63767dd0379a4f2b7188 25726 libgcc1_4.3.1-1_i386.deb
 804a1db63c432271e037cb43c52c07e9944eeee6 58184 libgcc1-dbg_4.3.1-1_i386.deb
 d9019cb87674525f3f2df8030f3086028fc883f8 43978 lib64gcc1_4.3.1-1_i386.deb
 c94da9b3ee40c4840c9c083d6c905fa6a3087f47 83104 lib64gcc1-dbg_4.3.1-1_i386.deb
 6e1ea10dda0b1c7cff6502295c1bcc8475294c60 13240 libgomp1_4.3.1-1_i386.deb
 e46676d4a87010ba847f65959233ad559670995f 33862 libgomp1-dbg_4.3.1-1_i386.deb
 e105088342a0326ba3b59548a0a4b7a994ae27f8 15498 lib64gomp1_4.3.1-1_i386.deb
 8f10cd5eea4c94ed30105f09d0a1349b3a3023e1 34926 lib64gomp1-dbg_4.3.1-1_i386.deb
 7dc9ad3101e8f4b279b96c143782041ff407866e 3068708 cpp-4.3_4.3.1-1_i386.deb
 33bc9e4f78e7d0171dc01a56a794ad40959bb51f 41756 protoize_4.3.1-1_i386.deb
 8baa5e73736ebae733665c5f02a6e1d03b8eaaa1 63446 fixincludes_4.3.1-1_i386.deb
 5d7d8110fc6d096feefbbddb1338ecfefc12124e 208820 libmudflap0-4.3-dev_4.3.1-1_i386.deb
 4200c5ca0c527ccb6bddc82a527f0666b9b94b1f 77594 libmudflap0_4.3.1-1_i386.deb
 4e36e294709783384e61a90c2e4ce39035fbc043 122800 libmudflap0-dbg_4.3.1-1_i386.deb
 2e35a46c4f530bcf422ff46eba4dba4553caf487 95996 lib64mudflap0_4.3.1-1_i386.deb
 19ca5638a8fce338882260375f9ff705f49c4e59 128960 lib64mudflap0-dbg_4.3.1-1_i386.deb
 8772c4de9bcf93092025331a5e21bf7fc740c379 852 gobjc++-4.3-multilib_4.3.1-1_i386.deb
 682f2d0acb69062c1148bb136377163abb6a9277 3296350 gobjc++-4.3_4.3.1-1_i386.deb
 c0282e48db1a6f074c5430f9069ba8baadd7fbaf 183972 gobjc-4.3-multilib_4.3.1-1_i386.deb
 19922e30e048ec9fdfb14c3334942bcb609b2e34 3206238 gobjc-4.3_4.3.1-1_i386.deb
 df2374daed746995877e3c7064b332a8be3df895 149418 libobjc2_4.3.1-1_i386.deb
 e503ba0bd78bde273db67c2a63159a2936f92274 272256 libobjc2-dbg_4.3.1-1_i386.deb
 7092a057090a2778ce13349380290c8d06883890 159372 lib64objc2_4.3.1-1_i386.deb
 bacec4399a1a5b160f46834f0cf76351fb66c129 286880 lib64objc2-dbg_4.3.1-1_i386.deb
 04b4112891af172dc778fc9594fc547a1c731330 1034706 g++-4.3-multilib_4.3.1-1_i386.deb
 e575b59ef40b4f9608bd95573fbbad97a5dff0f5 3394290 g++-4.3_4.3.1-1_i386.deb
 30e7908dfe292b385330dde789be86017fc0cf17 332052 libstdc++6_4.3.1-1_i386.deb
 6f58d3d61ba839ba0db033768f0f4dda75b36cd6 333830 lib64stdc++6_4.3.1-1_i386.deb
 bb6c06bcd03b328334419ceb3ebf06696602d210 6081702 lib64stdc++6-4.3-dbg_4.3.1-1_i386.deb
 db51cb8642df571011b290a876d09a8e6b176b6b 1352564 libstdc++6-4.3-dev_4.3.1-1_i386.deb
 9630aac3cef5b49a6b77335f3a1bfff314618bb8 487488 libstdc++6-4.3-pic_4.3.1-1_i386.deb
 2772b29935672c1f923208ad59ed2333d2fab24e 3621112 libstdc++6-4.3-dbg_4.3.1-1_i386.deb
 c472da00f12125dd5b559686777930fcfaa01a74 229498 libgfortran3_4.3.1-1_i386.deb
 77980f1f75f27ab75600d86b545a1f6c6b3d3be2 348310 libgfortran3-dbg_4.3.1-1_i386.deb
 a7ce027074ebad5773194430edd17dda398e8611 270704 lib64gfortran3_4.3.1-1_i386.deb
 17b94d77199dd43b64b06ac054eb55235dad2909 467846 lib64gfortran3-dbg_4.3.1-1_i386.deb
 38ecf7ffc42d9dc55e98371770dc0a469269e95d 306156 gfortran-4.3-multilib_4.3.1-1_i386.deb
 fb5f07273088d90f227db7dfa4f775863395465c 3485772 gfortran-4.3_4.3.1-1_i386.deb
 808c86473da004896c106be289b977d622265a28 2164914 gcc-4.3-multilib_4.3.1-1_i386.deb
 c6df3f80a493c025aaad70672e5eb33cb53ad2da 2733040 gcc-4.3_4.3.1-1_i386.deb
Checksums-Sha256: 
 4fbdcb9e2d9260caa09e1a21d2937695a5c5bbfaea85f57e95fca527d23be8af 3570 gcc-4.3_4.3.1-1.dsc
 4e0d0aad0635c2ef3aaef423c20491761702a45de382d223abcb9db529450b4d 44063179 gcc-4.3_4.3.1.orig.tar.gz
 fc97625d7f780ec31cd3f33d63929848883db15cdac3ac978fc67cfa371986a6 515495 gcc-4.3_4.3.1-1.diff.gz
 552498bc14c761dfb81d01468270bd5433a601da5e3ca8f9b63b1022eaefea8c 44311914 gcc-4.3-source_4.3.1-1_all.deb
 68d0f9ec12c1bc82a39b1a89ee753640b7edb7fd69f98843e840e225b47a978b 14446890 libstdc++6-4.3-doc_4.3.1-1_all.deb
 f5363d7150c21d4b4f4165d2f9eb06416974a2a4637c1a4f6383d97c1e5d6cc0 2006860 gcc-4.3-locales_4.3.1-1_all.deb
 ee601c11a6906aba58952529562d366bd8a74bedff3fc42ac3af9308bcb53766 101456 gcc-4.3-base_4.3.1-1_i386.deb
 ba1e442287e90744ee3cedd5394b98efc47fb2db589bd3ebb822baa0feb9fcaa 25726 libgcc1_4.3.1-1_i386.deb
 cd60a263952e2cc885a1be666f8ee2b8b34fcbdbdd08841c7357f32ddb895541 58184 libgcc1-dbg_4.3.1-1_i386.deb
 e59c973d735c24153b3d3bb76f6cccf698fd2dda435677743dcdc70edd55ba6d 43978 lib64gcc1_4.3.1-1_i386.deb
 03dbc5bdfa79da1451fe084654a1ab6cf003aac87321f5a1fde23abbbd6e0c9d 83104 lib64gcc1-dbg_4.3.1-1_i386.deb
 0dd25fa325a0fcae45e9eb8593cea39e270c7c366f17e308fdaed30953a8792f 13240 libgomp1_4.3.1-1_i386.deb
 2fde775a3a9cd579265acde2bd423c6d38beb7d30bbe50b49671395f161ab9fd 33862 libgomp1-dbg_4.3.1-1_i386.deb
 48e1affdf81f0c40bac552e585e3bdfd8dcba3077ee8a010b1c834d45f3dbbd0 15498 lib64gomp1_4.3.1-1_i386.deb
 acf2d2b0cd3a8804366d748d39c10281df744debb5208d5c7241a2f802a370dd 34926 lib64gomp1-dbg_4.3.1-1_i386.deb
 28183893ef75a33a2e7146bca2affb4391c3e6232abd03263216aa783c59ee54 3068708 cpp-4.3_4.3.1-1_i386.deb
 61ebf75d898402155d6f23bfa7496f9ace9f630dd814599013fca3e558375fd3 41756 protoize_4.3.1-1_i386.deb
 1e3c4da583d29f5a5a89b58d1b72bed9be8fe34970f3bb2c3a0c45174f1a2458 63446 fixincludes_4.3.1-1_i386.deb
 ed025abefc3ffdaba309c861ad42f4a491c7ed2ec354ab8adb2960841fca8a4f 208820 libmudflap0-4.3-dev_4.3.1-1_i386.deb
 436405bb3b85988ae967885e068b3f5e2a86c50917bcf4ef6da40dcd2608a2ba 77594 libmudflap0_4.3.1-1_i386.deb
 8e6d7f57adaba7ec86463901abe431ca5b401575ccd8508e21cc7ac676ead39f 122800 libmudflap0-dbg_4.3.1-1_i386.deb
 e932e24abff9de16a8f182bfc249898451da7a7f5d5b52334d8ed0d69d65b186 95996 lib64mudflap0_4.3.1-1_i386.deb
 c3db7b7861fb3f15952e82709b070c5ddeaeb46fc9638f06cd8dc717ac0f916a 128960 lib64mudflap0-dbg_4.3.1-1_i386.deb
 142013f005c598e4af7ae6c4114d986bc5ce86227fb73b51bf36872ae79892cd 852 gobjc++-4.3-multilib_4.3.1-1_i386.deb
 a7de1f34399474145d01da2760e84c41f279aa2a4d4e227a5f4cf976df6a27b3 3296350 gobjc++-4.3_4.3.1-1_i386.deb
 2a79d31e86a231335fa42ecbc83fa23a3c89ecd5d3980cc2796e74f7f5574f65 183972 gobjc-4.3-multilib_4.3.1-1_i386.deb
 f31d1b997a21616c3774c404c20894740385855348e5b3ae533fd0fea6ce7726 3206238 gobjc-4.3_4.3.1-1_i386.deb
 460253bf270d52488f82c1bb7dedd0c98b744c218ee180432b38477461cf8a05 149418 libobjc2_4.3.1-1_i386.deb
 e0a4a1d0da0fe9f264a9b41e130e2c0381ddfc2a649ec289608abeddeebec5a0 272256 libobjc2-dbg_4.3.1-1_i386.deb
 a2204a484b7f040809394ffcdd0ec671395b2b4d7faf00d0ab90d39ba1ac0af9 159372 lib64objc2_4.3.1-1_i386.deb
 b497fa0fd5dc102ac3f10207d8a1555a268d92a7145ca9d1fc73aa307ed57a04 286880 lib64objc2-dbg_4.3.1-1_i386.deb
 0cb0586ad99858dba3345f0d580fde197087a7a351002b8523a73132baded8f1 1034706 g++-4.3-multilib_4.3.1-1_i386.deb
 615f097f596f7d4ed207752640b324068500584b2b8deaed554d5eaca639265c 3394290 g++-4.3_4.3.1-1_i386.deb
 6c0f04ccab9ebbc668f69d48c515974fcf1128fdfca99a06fbe3afb34b4e4ded 332052 libstdc++6_4.3.1-1_i386.deb
 a6334c9c3378924d0ba2bc354693f67d74d80022064745305b0ad76bf38a7eb8 333830 lib64stdc++6_4.3.1-1_i386.deb
 29f6d28eb684d366ebd23609eb2d2b276dc7b757e1f45d3a6f2a6016a90d3dbf 6081702 lib64stdc++6-4.3-dbg_4.3.1-1_i386.deb
 941a5b028d643d418eb5bf3d4883575dd435edb1a78c788acd0eb219210b5906 1352564 libstdc++6-4.3-dev_4.3.1-1_i386.deb
 5e4d03e5bbfa62a3a35e732eae917de309a0db3e72d24d6b46cc9b961cc305d0 487488 libstdc++6-4.3-pic_4.3.1-1_i386.deb
 95b5db02ed7ae76c6f3a2466258e68ebe4053fcd977c462a1775f07e0bb8bd1d 3621112 libstdc++6-4.3-dbg_4.3.1-1_i386.deb
 c7a9981a09563357ecf5a726a2feb4c11f2e067f27df40924765d34d9269bbd8 229498 libgfortran3_4.3.1-1_i386.deb
 62ac2e1fa6e8a129e659beb970deebdde13aef88d4c7cb54ada6f0bbd93a22c9 348310 libgfortran3-dbg_4.3.1-1_i386.deb
 158d7b6f2c4ead046ab939674909dc1213eb9a9ce3889fd49a275b8b6a663081 270704 lib64gfortran3_4.3.1-1_i386.deb
 5a14066949b431bce7418feba2db275520d26dae6b735c30579576f91e9c59b0 467846 lib64gfortran3-dbg_4.3.1-1_i386.deb
 6a6ce7ee743917fac1b170a2dde54c62bc780afa3dbdebdcdc0267e453611620 306156 gfortran-4.3-multilib_4.3.1-1_i386.deb
 59f4184b237287d207e5980ab1a7de6295f0b54b8c0172b8c0c3f1164ab67c2d 3485772 gfortran-4.3_4.3.1-1_i386.deb
 6fbdbf7fa6b48e072ce81d15844bd759746f6ec1da9436febf1c87fd1b8a72c7 2164914 gcc-4.3-multilib_4.3.1-1_i386.deb
 72160e652772d4888531cf33804ef0b2e8fa1fbbf04b50c6a52fef20d7ec8cfa 2733040 gcc-4.3_4.3.1-1_i386.deb
Files: 
 79bde80ed2fc54082b45b49456bd8d4c 3570 devel optional gcc-4.3_4.3.1-1.dsc
 8175da9aae295ff10ea2b536e2061710 44063179 devel optional gcc-4.3_4.3.1.orig.tar.gz
 359c2993bcf5a3452c006c60bccba9db 515495 devel optional gcc-4.3_4.3.1-1.diff.gz
 146137385230469cc08e4c2b3cba9195 44311914 devel optional gcc-4.3-source_4.3.1-1_all.deb
 fd8058739caece3f69173b6b8100af46 14446890 doc optional libstdc++6-4.3-doc_4.3.1-1_all.deb
 c63e96018f6f560652c9435d4f80cc89 2006860 devel optional gcc-4.3-locales_4.3.1-1_all.deb
 5f1470cb2e406a2d3e1c6ec2322bedcf 101456 libs required gcc-4.3-base_4.3.1-1_i386.deb
 50d7ba293efeefbe3fe85676359941ad 25726 libs required libgcc1_4.3.1-1_i386.deb
 2a22c83dfcbc3f0e24b1630c4b4c5244 58184 libdevel extra libgcc1-dbg_4.3.1-1_i386.deb
 7098bca1ae4b519b75cec0299c97bd2d 43978 libs optional lib64gcc1_4.3.1-1_i386.deb
 5435707a1b89975e98fe8f2ca7b4e73e 83104 libdevel extra lib64gcc1-dbg_4.3.1-1_i386.deb
 93cfd8c9890ba55eacfc231c13e902e2 13240 libs optional libgomp1_4.3.1-1_i386.deb
 98e6c9de0831335fe017ff5bb26068be 33862 libdevel extra libgomp1-dbg_4.3.1-1_i386.deb
 120ba407522425646ab41f9b9dc301e7 15498 libs optional lib64gomp1_4.3.1-1_i386.deb
 0a9b89ccd0851186b90d553eef9716f7 34926 libdevel extra lib64gomp1-dbg_4.3.1-1_i386.deb
 1c780e84897558d0caf0ceb58566eff4 3068708 interpreters optional cpp-4.3_4.3.1-1_i386.deb
 28604c506558f76e07217249369c5172 41756 devel optional protoize_4.3.1-1_i386.deb
 b741d5a7bd1d630466cb4bdf5b3a65d6 63446 devel optional fixincludes_4.3.1-1_i386.deb
 2cbb7e40ca6b7fffae95f4a1df622828 208820 libdevel optional libmudflap0-4.3-dev_4.3.1-1_i386.deb
 2c08ec0bee204ae9ca1692fa02e2e693 77594 libs optional libmudflap0_4.3.1-1_i386.deb
 4520155cea606354c7789aac216ae16b 122800 libdevel extra libmudflap0-dbg_4.3.1-1_i386.deb
 b5624cea512e2ff4baee87ca26aab548 95996 libs optional lib64mudflap0_4.3.1-1_i386.deb
 921fa880d9ceb6261d40e4a0d3740674 128960 libdevel extra lib64mudflap0-dbg_4.3.1-1_i386.deb
 7cf9ba8df7fb3c48ec49aaa0ee511554 852 devel optional gobjc++-4.3-multilib_4.3.1-1_i386.deb
 1d6b514baf91c7ca26f10736415f1e1a 3296350 devel optional gobjc++-4.3_4.3.1-1_i386.deb
 4d7599380cda0c89ab110fd490d0f307 183972 devel optional gobjc-4.3-multilib_4.3.1-1_i386.deb
 f08e37b2c96610b9abca567ef1835226 3206238 devel optional gobjc-4.3_4.3.1-1_i386.deb
 f98c52e51abcffd22b5da36b31423f7a 149418 libs optional libobjc2_4.3.1-1_i386.deb
 49277ba2a32acf7ae9ace84fbb65fe21 272256 libdevel extra libobjc2-dbg_4.3.1-1_i386.deb
 764034fc74822adb76e8ef945e98dc70 159372 libs optional lib64objc2_4.3.1-1_i386.deb
 3527a546e3e21aba3aa6282ad9b2c99b 286880 libdevel extra lib64objc2-dbg_4.3.1-1_i386.deb
 ca23fa4a759c2fc621b67c9aebb809ff 1034706 devel optional g++-4.3-multilib_4.3.1-1_i386.deb
 b0b6b69c6cf93094a07d97839b909cea 3394290 devel optional g++-4.3_4.3.1-1_i386.deb
 93bd75c6e5af327ef59f3cbb122b0b68 332052 libs required libstdc++6_4.3.1-1_i386.deb
 61962f596ef70c4f57a1fdbf545ddb1f 333830 libs optional lib64stdc++6_4.3.1-1_i386.deb
 4841f0f94754a8c947a6944af6d6adfe 6081702 libdevel extra lib64stdc++6-4.3-dbg_4.3.1-1_i386.deb
 6f570646ae8ccadb8016c3132a72225c 1352564 libdevel optional libstdc++6-4.3-dev_4.3.1-1_i386.deb
 86ca7d62c8c9bd96cb314f75595a0493 487488 libdevel extra libstdc++6-4.3-pic_4.3.1-1_i386.deb
 8b74893cc0d18b2d7fb877af4b08c0b4 3621112 libdevel extra libstdc++6-4.3-dbg_4.3.1-1_i386.deb
 de6cc5aff3a6f6a4f6314af4fc3d662e 229498 libs optional libgfortran3_4.3.1-1_i386.deb
 753b4ed79b9774e6ff6b0a487c1c805e 348310 libdevel extra libgfortran3-dbg_4.3.1-1_i386.deb
 e14089846a558747bee1c4399af60bc4 270704 libs optional lib64gfortran3_4.3.1-1_i386.deb
 fcf49b25ad496513a2bed5788432bb3d 467846 libdevel extra lib64gfortran3-dbg_4.3.1-1_i386.deb
 ee876bf1583a2eb1efbc4e09a3b7b5fb 306156 devel optional gfortran-4.3-multilib_4.3.1-1_i386.deb
 ad9d157d85591267c31551fb6daaf032 3485772 devel optional gfortran-4.3_4.3.1-1_i386.deb
 58048b8d1751a9660e00775f31eb56b5 2164914 devel optional gcc-4.3-multilib_4.3.1-1_i386.deb
 d4e491282d659d98b5b6c15cb184ed14 2733040 devel optional gcc-4.3_4.3.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhLhisACgkQStlRaw+TLJz4lACghmEG/QzpHfJ1rX+k6FD4H9XK
PrEAoKXr4UwZWF0LJv+P8wKv5GpImlhk
=q1Pe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jul 2008 07:41:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:44:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.